/* This is a Label whose height corresponds to the actual height of the text (in contrast
   to standard Labels, which are much taller than they need to be). */

/* Copyright (C) 2001 by Peter Eastman

   This program is free software; you can redistribute it and/or modify it under the
   terms of the GNU General Public License as published by the Free Software
   Foundation; either version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but WITHOUT ANY 
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE.  See the GNU General Public License for more details. */

package artofillusion.ui;

import java.awt.*;

public class ShortLabel extends Label
{
  public ShortLabel()
  {
    super();
  }
  
  public ShortLabel(String text)
  {
    super(text);
  }
  
  public ShortLabel(String text, int alignment)
  {
    super(text, alignment);
  }

  public Dimension getPreferredSize()
  {
    Dimension dim = super.getPreferredSize();
    FontMetrics fm = getFontMetrics(getFont());
    
    dim.height = fm.getMaxAscent()+fm.getMaxDescent();
    return dim;
  }
}
