/* This is a Component which acts as a spacer.  It displays a blank background, and copies
   its width and height from specified other Components */

/* Copyright (C) 2001 by Peter Eastman

   This program is free software; you can redistribute it and/or modify it under the
   terms of the GNU General Public License as published by the Free Software
   Foundation; either version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but WITHOUT ANY 
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE.  See the GNU General Public License for more details. */

package artofillusion.ui;

import java.awt.*;

public class Spacer extends Component
{
  Component vertical, horizontal;
  
  public Spacer(Component copyHoriz, Component copyVert)
  {
    horizontal = copyHoriz;
    vertical = copyVert;
  }
  
  public Dimension getPreferredSize()
  {
    Dimension v = vertical.getPreferredSize(), h = horizontal.getPreferredSize();
    
    return new Dimension(h.width, v.height);
  }
}
