/* A TreeEvent is sent to a TreeListener in response to user interaction with a TreeList. */

/* Copyright (C) 2001 by Peter Eastman

   This program is free software; you can redistribute it and/or modify it under the
   terms of the GNU General Public License as published by the Free Software
   Foundation; either version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but WITHOUT ANY 
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE.  See the GNU General Public License for more details. */

package artofillusion.ui;

import artofillusion.*;
import java.awt.*;
import java.util.*;

public class TreeEvent extends AWTEvent
{
  TreeElement element;
  
  public static final int ELEMENTS_MOVED = 0;
  public static final int ELEMENT_OPENED_OR_CLOSED = 1;
  public static final int ELEMENT_DOUBLE_CLICKED = 2;

  public TreeEvent(TreeList source, int id)
  {
    super(source, id);
  }
  
  public TreeEvent(TreeList source, int id, TreeElement el)
  {
    super(source, id);
    element = el;
  }

  public TreeElement getElement()
  {
    return element;
  }
}