/* This interface defines methods for objects that need to be notified when the user
   manipulates a TreeList. */

/* Copyright (C) 2001 by Peter Eastman

   This program is free software; you can redistribute it and/or modify it under the
   terms of the GNU General Public License as published by the Free Software
   Foundation; either version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but WITHOUT ANY 
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE.  See the GNU General Public License for more details. */

package artofillusion.ui;

import artofillusion.*;
import java.util.*;

public interface TreeListener extends EventListener
{
  /* This is called when one or more elements have been moved within the tree. */
  
  public void elementsMoved(TreeEvent ev);

  /* This is called when a branch of the tree is expanded or collapsed. */

  public void elementOpenedOrClosed(TreeEvent ev);
  
  /* This is called when an element is double-clicked. */
  
  public void elementDoubleClicked(TreeEvent ev);
}