/* This is a plugin to make Art of Illusion behave more like a standard Macintosh 
   application when running under Mac OS. */

/* Copyright (C) 2002 by Peter Eastman

   This program is free software; you can redistribute it and/or modify it under the
   terms of the GNU General Public License as published by the Free Software
   Foundation; either version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but WITHOUT ANY 
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE.  See the GNU General Public License for more details. */

package artofillusion.osspecific;

import artofillusion.*;
import artofillusion.ui.*;
import java.awt.*;
import java.awt.event.*;

public class MacOSPlugin implements Plugin
{
  private boolean isMacOS, isMacOSX;

  public void processMessage(int message, Object args[])
  {
    if (message == APPLICATION_STARTING)
      {
        String mrj = (String) System.getProperties().get("mrj.version");
        if (mrj == null)
          return;
        isMacOS = true;
        if (!mrj.startsWith("2."))
          isMacOSX = true;
	ModellingApp.addWindow(new MacMenuBarWindow());
	if (isMacOSX)
	  ModellingApp.defaultFont = new Font("Application", Font.PLAIN, 11);
      }
    if (!isMacOS)
      return;
  }

  /** This is an inner class used to provide a minimal menu bar when all windows are
      closed. */
  
  private class MacMenuBarWindow extends Frame implements EditingWindow, ActionListener
  {
    public MacMenuBarWindow()
    {
	super();
	MenuBar menubar = new MenuBar();
	setMenuBar(menubar);
        Menu file = Translate.menu("file");
        menubar.add(file);
        file.add(Translate.menuItem("new", this));
        file.add(Translate.menuItem("open", this));
        file.add(Translate.menuItem("quit", this));
        pack();
        setBounds(-1000, -1000, 0, 0);
	show();
      }
      
      public void setTool(EditingTool tool)
      {
      }
    
      public void setHelpText(String text)
      {
      }
  
      public Frame getFrame()
      {
	return this;
      }

      public void updateImage()
      {
      }

      public void updateMenus()
      {
      }
  
      public void setUndoRecord(UndoRecord command)
      {
      }
  
      public Scene getScene()
      {
	return null;
      }

      public ViewerCanvas getView()
      {
        return null;
      }

      public boolean confirmClose()
      {
	dispose();
	return true;
      }
      
      public void actionPerformed(ActionEvent ev)
      {
	String command = ev.getActionCommand();
        if (command.equals("new"))
          ModellingApp.newWindow();
        else if (command.equals("open"))
          ModellingApp.openScene(this);
        else if (command.equals("quit"))
          ModellingApp.quit();
      }
  }
}